Subject: [6pack] Trashy

From: Philippe Taquin via 6pack <[email-masked]>
Date: Mon, 10 Jun 2019 09:25:18 -0700

Is the nickname of the TR6 I bought some time ago.  Nickname came because I had to redo everything on this car.  The title is 1971 with a # CC59270L which is almost the engine # which is CC59276E in fact.  The body # are T9346CF and 9197CF.  The gear box #is CC121413 and it has a J type overdrive with a # 25/115876/001751 as far as I can read.  The dash is a 1973 per Mossmotor catalogue .  Can someone give me a rough history of this mystery car?  I by the way enjoyed every minute I spent to make this car back on the road, engine and transmission w overdrive rebuilt, frame powder coated, new leather seat and new top, interior and harness and so much more!

Philippe
Cell  (916) 307 9312
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/6pack